@Terroris337

Почему не устанавливаетсья зависимость?

Доброго времени суток.
Создал проект React Native через expo с пустым шаблоном и не могу через mpn install загрузить зависимость.
Мой packege.json:
{
  "main": "node_modules/expo/AppEntry.js",
  "scripts": {
    "start": "expo start",
    "android": "expo start --android",
    "ios": "expo start --ios",
    "web": "expo start --web",
    "eject": "expo eject"
  },
  "dependencies": {
    "expo": "~42.0.1",
    "expo-status-bar": "~1.0.4",
    "react": "16.13.1",
    "react-dom": "16.13.1",
    "react-native": "https://github.com/expo/react-native/archive/sdk-42.0.0.tar.gz",
    "react-native-web": "~0.13.12"
  },
  "devDependencies": {
    "@babel/core": "^7.9.0"
  },
  "private": true
}

При попытке скачать зависимость "react-native" выдает ошибку:
npm ERR!   message: 'request to https://codeload.github.com/expo/react-native/tar.gz/sdk-42.0.0 failed, reason: connect ECONNREFUSED 127.0.0.1:443',
npm ERR!   type: 'system',
npm ERR!   errno: 'ECONNREFUSED',
npm ERR!   code: 'ECONNREFUSED',
npm ERR!   stack: 'FetchError: request to https://codeload.github.com/expo/react-native/tar.gz/sdk-42.0.0 failed, reason: connect ECONNREFUSED 127.0.0.1:443\n' +
npm ERR!     '    at ClientRequest.<anonymous> (C:\\Program Files\\nodejs\\node_modules\\npm\\node_modules\\node-fetch-npm\\src\\index.js:68:14)\n' +
npm ERR!     '    at ClientRequest.emit (events.js:310:20)\n' +
npm ERR!     '    at TLSSocket.socketErrorListener (_http_client.js:426:9)\n' +
npm ERR!     '    at TLSSocket.emit (events.js:310:20)\n' +
npm ERR!     '    at emitErrorNT (internal/streams/destroy.js:92:8)\n' +
npm ERR!     '    at emitErrorAndCloseNT (internal/streams/destroy.js:60:3)\n' +
npm ERR!     '    at processTicksAndRejections (internal/process/task_queues.js:84:21)'
npm ERR! }

Как это исправить?
  • Вопрос задан
  • 14 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы